# Introduce

## 1 General Rules

* All Interface response are in JSON format;
* All times and timestamps are UNIX times in milliseconds.
* For GET requests, append parameters to the URL.
* POST requests should be in either application/json or application/x-www-form-urlencoded format, as individually marked for each interface.
* For interfaces that require signature verification, please add APIKEY and APIKEY\_SIGN\_TYPE\_HEADER and signature in the request header.
* Note：there is no close position method,instead of use the method named of "open order" by negative direction with your position.

```
NOTE：Some interfaces require verification of the API key and the signature of the request data, indicated in the interface documentation by the [**Signature Verification Required**] field. If marked [Yes], the following request headers need to be added]
​
Required request headers:
APIKEY  -- The API key used to call the API (also referred to as api_key in the following)
APIKEY_SIGN_TYPE_HEADER -- the type of signature(1-hmac 2-secp256k1 3-ed25519), just chose the 2.
signature  -- The signature made with the api_secret corresponding to the API key for the request parameters.
```

## 2 Apply API Key

> APIKEY：

The market maker API is divided into three categories: public queries, private queries, and private operations. For the private category interfaces, authentication with API key is required.

> Apply APIKEY URL：

* Testnet: <https://zk-test.satori.finance/tradeApi>
* Mainnet: zkSync: <https://zksync.satori.finance/tradeApi>

> Apply APIKEY

Step：

```
1. open the domain with your chrome with the url[Apply APIKEY URL]
2. click [Connect Wallet]，connect your wallet,make sure you have a wallet address.
3. click [Create API]
4. input [API Wallet Name] [API Wallet Address].API Wallet Address is an EVM chain address.
5. then [Next]
6. the app_sercret privkey is the api address privkey.which owner by yourself ,please keep it safe.if you generate a new address as your [API Wallet Address] at the website. the privkey will be show only onece, no one will know it include our platform.
7. click [Authorize]，need a sign by your wallet, let us know that this is operation by yourself.
8. get your [API Key]
```

Note：

* API Key -- The API key used to call the API, (also referred to as api\_key in the following)
* API Wallet Address
* Private Key -- The private key is used for signing, (also referred to as api\_secret in the following)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.satori.finance/api-docs/openapi/introduce.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
